% Partie 3: transducteur ? mouvement lat?ral 

Flag = 2 ;

if Flag==1 
    
%Transducer: 
N=100; l=100e-6; d=5e-6; h=100e-6;
%resonator: 
k=100; Q=100; f0=400e3; 


% On trouve la valeur de la masse et de l'amortissement: 
m=k/(2*pi*f0)^2;
mu= 2*pi*f0*m/Q;

% Bias voltage
U0=50; 

%facteur de transduction : 
delta=U0*8.85e-12*h/d*(2*N-1);

% Transfert function " small-signal voltage - to - vibration magnitude X"
 sys_X_to_U = tf([delta],[m mu k]);
 
%Transfer function plot: 
 
opts=bodeoptions() ;
opts.MagUnits='abs'; % mettre 'abs' ou 'db' en focntion des unit?s
frequency_axis=logspace(4,7, 10000);
bode(sys_X_to_U, frequency_axis, opts);

evalfr(sys_X_to_U, j*100e3*2*pi);

%Position d'?quilibre
X0=0.5*U0*delta/k; 

else if Flag==2
%Transducer: 
S=1e-8; d=1e-6;
%resonator: 
k=500; Q=100; f0=100e3; 


% On trouve la valeur de la masse et de l'amortissement: 
m=k/(2*pi*f0)^2;
mu= 2*pi*f0*m/Q;

% Bias voltage
U0=20; 

%facteur de transduction : 
delta=U0*8.85e-12*S/d^2;

% electrostatic spring

k_t=-U0^2*8.85e-12*S/d^3


% Transfert function " small-signal voltage - to - vibration magnitude X"
 sys_X_to_U = tf([delta],[m mu k+k_t]);
 
%Transfer function plot: 
 
opts=bodeoptions() ;
opts.MagUnits='abs'; % mettre 'abs' ou 'db' en focntion des unit?s
frequency_axis=logspace(4,7, 10000);
bode(sys_X_to_U, frequency_axis, opts);

evalfr(sys_X_to_U, j*100e3*2*pi);

%Position d'?quilibre
X0=0.5*U0*delta/k; 
       
%pull-in voltage
U_pi=sqrt(8*k*d^3/(27*S*8.85e-12));
        
    end
end

        





 
